# Created by pyp2rpm-3.3.8
%global pypi_name oslo-context

Name:           python-%{pypi_name}
Version:        5.7.1
Release:        %mkrel 2
Summary:        Oslo Context library
Group:          Development/Python
License:        None
URL:            https://docs.openstack.org/oslo.context/latest/
Source0:        https://files.pythonhosted.org/packages/source/o/%{pypi_name}/oslo_context-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-tox
BuildRequires:  python3-tox-current-env
BuildRequires:  python3dist(pbr)
# docs
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(openstackdocstheme)
BuildRequires:  python3dist(debtcollector)
# Tests
BuildRequires:  python3dist(pre-commit)
BuildRequires:  python3dist(bandit)
BuildRequires:  python3dist(stestr)
BuildRequires:  python3dist(coverage)
BuildRequires:  python3dist(oslotest)
BuildRequires:  python3dist(mypy)
BuildRequires:  python3dist(hacking)
# BuildRequires:  python3-fixtures

%description
The Oslo context library has helpers to maintain useful information about a
request context. The request context is usually populated in the WSGI pipeline
and used by various modules such as logging.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
The Oslo context library has helpers to maintain useful information about a
request context. The request context is usually populated in the WSGI pipeline
and used by various modules such as logging.

%prep
%autosetup -n oslo_context-%{version} -p1

# relax reqs
sed -i -e 's/pbr!=2.1.0,>=/pbr>/g' requirements.txt

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files oslo_context

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.rst
%doc html


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 5.7.1-2.mga10
+ Revision: 2241766
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 daviddavid <daviddavid> 5.7.1-1.mga10
+ Revision: 2159064
- new version: 5.7.1
+ wally <wally>
- rebuild for python3.13

* Mon Jan 27 2025 papoteur <papoteur> 5.7.0-1.mga10
+ Revision: 2142746
- new version 5.7.0
- fix tests

* Thu Jul 11 2024 papoteur <papoteur> 5.5.0-1.mga10
+ Revision: 2080744
- new version 5.5.0

* Mon Jan 22 2024 papoteur <papoteur> 5.2.0-2.mga10
+ Revision: 2033649
- relax reqs on pbr to allow installation

* Mon Jan 22 2024 papoteur <papoteur> 5.2.0-1.mga10
+ Revision: 2033638
- new version 5.2.0

* Mon Aug 22 2022 wally <wally> 5.0.0-1.mga9
+ Revision: 1879343
- imported package python-oslo-context

